<template>
  <section>
    <!-- Modal for email Cta Card modal desktop -->
    <div v-if="$mq !== 'mobile'"
      id="emailModal"
      aria-labelledby="emailModal"
      class="modal fade"
      role="dialog" style="z-index: 999999999999999999999 !important;background-color: rgb(0 0 0 / 85%);" tabindex="-1">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content rounded-modal" style="border: none !important;">

          <div class="modal-body embed-responsive embed-responsive-16by9 rounded-modal"
            style="overflow: visible !important;">
                     <span class="close-img cursor" @click="closeEmailModal()">
                        <img alt="X" src="images/lightbox-close-icon.png"/>
                      </span>

            <div class="image-resp-modal embed-responsive-item rounded-modal">

              <img v-if="data['email-modal-image']" :src="data['email-modal-image']" alt="" class="rounded-modal"/>

              <div class="h-100">
                <email-modal-body :data="data"/>
              </div>
            </div>

          </div>

        </div>


      </div>


    </div>

    <!-- Modal for email Cta Card modal mobile -->
    <div v-if="$mq === 'mobile'"
      id="emailModal"
      aria-hidden="true"
      class="modal modal-fullscreen-lg"
      role="dialog" style="z-index: 999999999999999999999 !important;background-color: rgb(0 0 0 / 85%);" tabindex="-1">

      <div class="modal-dialog" role="document">

        <div class="modal-content">

          <div class="modal-body p-0">

            <button id="mob-email-modal-btn" aria-label="Close" class="close pr-3 email-mob-close" data-dismiss="modal"
              type="button">
              <span aria-hidden="true">&times;</span>
            </button>


            <!--body-->
            <div class="image-resp-modal h-100">

              <img v-if="data['email-modal-image-mobile']" :src="data['email-modal-image-mobile']" alt=""/>

              <div class="h-100">
                <email-modal-body-mobile :close="closeEmailModal"
                  :data="data"/>
              </div>
            </div>

          </div>

        </div>

      </div>

    </div>
  </section>
</template>
<script>

module.exports = {
  props: ['data'],
  components: {
    'email-modal-body': httpVueLoader('components/cta_card/email-modal-body.vue'),
    'email-modal-body-mobile': httpVueLoader('components/cta_card/email-modal-body-mobile.vue')
  },
  data(){
    return{
      urlToShare: ''
    }
  },
  methods: {
    closeEmailModal() {
      $('#emailModal').modal('hide')
      if (this.$mq === 'mobile') $('#mob-email-modal-btn').click()
    }
  }
}
</script>
<style>
</style>
